SQLITE3_OVERLOAD_FUNCTION(3) | Library Functions Manual | SQLITE3_OVERLOAD_FUNCTION(3)

# NAME

`sqlite3_overload_function` —
Overload A Function For A Virtual Table

# SYNOPSIS

int
`sqlite3_overload_function`(sqlite3*, const char *zFuncName, int nArg);

# DESCRIPTION

Virtual tables can provide alternative implementations of functions using the xFindFunction method of the virtual table module. But global versions of those functions must exist in order to be overloaded.

This API makes sure a global version of a function with a particular name and number of parameters exists. If no such function exists before this API is called, a new function is created. The implementation of the new function always causes an exception to be thrown. So the new function is not good for anything by itself. Its only purpose is to be a placeholder function that can be overloaded by a virtual table.

# SEE ALSO

sqlite3_module(3)

December 19, 2018 | NetBSD 9.0